package com.zcloud.util.event;

import org.springframework.context.ApplicationEvent;

/**
 * @ClassName DeviceHiddenEvent
 * @Description 事件
 * @Author Dear lin
 * @Date 19:08 2023/2/27
 * @Version 1.0
 **/
public class DeviceHiddenEvent extends ApplicationEvent {
    public String getHiddenId() {
        return HiddenId;
    }

    public void setHiddenId(String hiddenId) {
        HiddenId = hiddenId;
    }
    // 隐患id
    private String HiddenId;
    private String CHECKRECORD_ID;

    public String getCHECKRECORD_ID() {
        return CHECKRECORD_ID;
    }

    public void setCHECKRECORD_ID(String CHECKRECORD_ID) {
        this.CHECKRECORD_ID = CHECKRECORD_ID;
    }

    /**
     * 用于区分删除与已完成这样的情况
     * 删除为1
     * 已完成0
     * */
    private String FLAG;

    public String getFLAG() {
        return FLAG;
    }

    public void setFLAG(String FLAG) {
        this.FLAG = FLAG;
    }

    public DeviceHiddenEvent(Object source, String hiddenId, String flag) {
        super(source);
        this.HiddenId = hiddenId;
        this.FLAG = flag;
    }
}
